Bug 1520453 - OPS Tools | Centralized Logging | nova-conductor.log is not being tailed by fluentd because of mistake in nova-conductor.yaml file.
Summary: OPS Tools | Centralized Logging | nova-conductor.log is not being tailed by f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Juan Badia Payno
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-04 13:55 UTC by Leonid Natapov
Modified: 2018-08-20 12:59 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.12-1.el7ost
Doc Type: Bug Fix
Doc Text:
An error in the NovaSchedulerLoggingSource variable in ths puppet/services/nova-conductor.yaml file has been corrected to properly update logs during fluentd configuration. Previously, nova-scheduler.log was tailed twice and nova-conductor.log was not tailed at all.
Clone Of:
Environment:
Last Closed: 2018-08-20 12:58:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59:20 UTC
OpenStack gerrit 532513 None None None 2018-01-10 21:16:05 UTC
OpenStack gerrit 533282 None None None 2018-01-12 19:38:28 UTC

Description Leonid Natapov 2017-12-04 13:55:58 UTC
OPS Tools | Centralized Logging | nova-conductor.log is not being tailed by fluentd  because of mistake in nova-conductor.yaml file.

Looking at fluend.log file I have noticed the nova-scheduler.log was tailed twice while nova-conductor log was not tailed at all.

Apparently there is a copy/paste mistake in nova-conductor.yaml file.

https://github.com/openstack/tripleo-heat-templates/blob/master/puppet/services/nova-conductor.yaml#L44

Comment 2 Juan Badia Payno 2018-01-10 12:43:25 UTC
Created patch:

 - https://review.openstack.org/#/c/532513

Comment 10 Leonid Natapov 2018-08-01 12:45:30 UTC
verified.

openstack-tripleo-heat-templates-7.0.12-5.el7ost.noarch

Comment 12 errata-xmlrpc 2018-08-20 12:58:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.